Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class TupleAssemblerEngine

    java.lang.Object
      com.sun.mdm.index.query.TupleAssemblerEngine

All Implemented Interfaces:
  AssemblerEngine, java.lang.Cloneable

public class TupleAssemblerEngine
extends java.lang.Object
implements AssemblerEngine, java.lang.Cloneable

Constructor Summary
`TupleAssemblerEngine()` Creates a new instance of AssemblerEngine

Method Summary
`java.lang.Object` | `clone()` Clones the engine.
`void` | `close()` Closes the engine, which in turns closes any database connection it is holding.
`void` | `finalizer()` finalizer
`boolean` | `hasNext()` Returns true if has a Next object; otherwise returns false
`void` | `initCompile(SQLDescriptor[] sqlDescs, AssembleDescriptor assDesc)` initilization of TupleAssemblerEngine
`void` | `initRun(java.sql.Connection con, java.sql.ResultSet[] resultSets, java.sql.Statement[] statements, int maxRows)` This initialization is used during run time.
`void` | `initRun(java.sql.Connection con, java.sql.ResultSet[] resultSets, java.sql.Statement[] statements, int maxRows, boolean closeDbConnection)` This initialization is used during runtime.
`java.lang.Object` | `next()` returns next tuple object retrieved from the SQL query.
`boolean` | `setDbConnectionCondition()` Gets the value of the closeDbConnection class variable
`void` | `setDbConnectionCondition(boolean val)` Sets the value of the closeDbConnection class variable

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleAssemblerEngine

    public TupleAssemblerEngine()

  Creates a new instance of AssemblerEngine

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clones the engine. The cloned engine only contains data that is readable only and so can be shared and cached.

  Specified by:
    `clone` in interface `AssemblerEngine`
  Returns:
    cloned TupleAssemblerEngine
  Throws:
    `java.lang.CloneNotSupportedException` - CloneNotSupportedException

### close

    public void close()
               throws QMException

  Closes the engine, which in turns closes any database connection it is holding.

  Specified by:
    `close` in interface `AssemblerEngine`
  Throws:
    `QMException` - QMException

### finalizer

    public void finalizer()
                   throws QMException

  finalizer

  Throws:
    `QMException` - QMException

### hasNext

    public boolean hasNext()
                    throws QMException

  Returns true if has a Next object; otherwise returns false

  Specified by:
    `hasNext` in interface `AssemblerEngine`
  Returns:
    true if next object exists; otherwise false
  Throws:
    `QMException` - QMException

### initCompile

    public void initCompile(SQLDescriptor[] sqlDescs,
                            AssembleDescriptor assDesc)
                     throws QMException

  initilization of TupleAssemblerEngine

  Specified by:
    `initCompile` in interface `AssemblerEngine`
  Parameters:
    `sqlDescs` - SQLDescriptor[] that contains SQL statements and their meta data to be used for initialization.
    `assDesc` - AssembleDescriptor
  Throws:
    `QMException` - QMException

### initRun

    public void initRun(java.sql.Connection con,
                        java.sql.ResultSet[] resultSets,
                        java.sql.Statement[] statements,
                        int maxRows)
                 throws QMException

  This initialization is used during run time. QueryManager passes Connection and ResultSet[] to the TupleAssemblerEngine so that AssemblerEngine can retrieve data from the database and compose the tuples.

  Specified by:
    `initRun` in interface `AssemblerEngine`
  Parameters:
    `con` - Connection
    `resultSets` - ResultSet[]
    `statements` - Statement[]
  Throws:
    `QMException` - QMException

### initRun

    public void initRun(java.sql.Connection con,
                        java.sql.ResultSet[] resultSets,
                        java.sql.Statement[] statements,
                        int maxRows,
                        boolean closeDbConnection)
                 throws QMException

  This initialization is used during runtime. QueryManager passes Connection and ResultSet[] to the TupleAssemblerEngine so that AssemblerEngine can retrieve data from the database and compose the tuples.

  Specified by:
    `initRun` in interface `AssemblerEngine`
  Parameters:
    `con` - Connection
    `resultSets` - ResultSet[]
    `statements` - Statement[]
    `maxRows` - Maximum number of rows.
    `closeDbConnection` - set to true if the database connection is to be closed by this class, false if some other calling class is to close the database connection instead.
  Throws:
    `QMException` - QMException

### next

    public java.lang.Object next()
                          throws QMException

  returns next tuple object retrieved from the SQL query.

  Specified by:
    `next` in interface `AssemblerEngine`
  Returns:
    next tuple
  Throws:
    `QMException` - QMException

### setDbConnectionCondition

    public boolean setDbConnectionCondition()

  Gets the value of the closeDbConnection class variable

  Returns:
    Value of closeDbConnection.

### setDbConnectionCondition

    public void setDbConnectionCondition(boolean val)

  Sets the value of the closeDbConnection class variable

  Parameters:
    `val` - Value to which closeDbConnection is to be set.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.